Summary: Enhanced bourne shell
Name: zsh
Version: 3.0.5
Release: 2
Copyright: GPL
Packager: Trond Eivind Glomsrd <teg@pvv.ntnu.no>
Group: Shells
Patch: zsh-perl.patch
Source0: ftp://ftp.math.gatech.edu/pub/zsh/zsh-3.0.5.tar.gz
Source1: zlogin.rhs
Source2: zlogout.rhs
Source3: zprofile.rhs
Source4: zshrc.rhs
Source5: zshenv.rhs
BuildRoot: /tmp/zsh-root

%description
zsh is an enhanced version of the bourne shell with these features:
	- very close to ksh/sh grammar, with csh additions
	- most features of ksh, bash, and tcsh
	- 81 builtins, 102 options, 162 key bindings
	- short for loops, ex: for i (*.c) echo $i
	- select
	- shell functions
...and many more

%changelog
* Mon Sep 29 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [zsh-3.0.5-2]

- A small patch to remove dependency on /usr/local/bin/perl

* Mon Sep 29 1997 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
  [zsh-3.0.5-1]

- Upgraded to version 3.0.5
- Now gzips manpages as well as info pages
- Updated description
- A few small changes to zshenv (added MANPATH and PAGER)

* Tue Jun 24 1997 Timo Karjalainen <timok@iki.fi>

- Upgraded to version 3.0.4

* Thu Apr 10 1997 Michael Fulbright <msf@redhat.com>

- Upgraded to 3.0.2
- Added 'reasonable' default startup files in /etc

%prep
%setup
%patch -p1
rm -f Util/*.orig

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr --bindir=/bin \
				--enable-etcdir=/etc/zsh 

make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/zsh
make prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/bin install
gzip -9nf $RPM_BUILD_ROOT/usr/info/*
gzip -9nf $RPM_BUILD_ROOT/usr/man/man1/*
rm -f Etc/{Makefile*,MACHINES}

for I in zshrc zlogin zlogout zshenv zprofile; do
	cp $RPM_SOURCE_DIR/${I}.rhs $RPM_BUILD_ROOT/etc/zsh/$I
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/zsh" > /etc/shells
else
	if ! grep '^/bin/zsh$' /etc/shells > /dev/null; then
		echo "/bin/zsh" >> /etc/shells
	fi
fi

%postun
if [ "$1" = "0" ]; then
	grep -v /bin/zsh /etc/shells > /tmp/shells.new
	mv /tmp/shells.new /etc/shells
fi

%files
%config /etc/zsh
%doc ChangeLog* Etc/* Functions META-FAQ README Util
/bin/zsh
/usr/info/*
/usr/man/man1/*






